> ## Documentation Index
> Fetch the complete documentation index at: https://docs.powertokens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling Image Omni kling-v3-omni

> Submit a Kling native omni image task via `/kling/v1/images/omni-image`. Task results may contain `images` or `series_images`.



## OpenAPI

````yaml api-reference/en/zmodelImage/kling/kling-v3-omni-image-omni.json POST /kling/v1/images/omni-image
openapi: 3.0.1
info:
  title: Kling Omni Image Task - Submit Task
  version: 1.0.0
  description: >-
    Submit a Kling native omni image task via `/kling/v1/images/omni-image`.
    Task results may contain `images` or `series_images`.
servers:
  - url: https://api.powertokens.ai
    description: ''
security: []
tags:
  - name: Kling
    description: Kling native async task endpoints
paths:
  /kling/v1/images/omni-image:
    post:
      tags:
        - Kling
      summary: Kling Omni Image Task
      description: >-
        Submit a Kling native omni image task via `/kling/v1/images/omni-image`.
        Task results may contain `images` or `series_images`.
      operationId: createKlingOmniImageGeneration
      parameters:
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
            default: application/json
          description: Data exchange format
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KlingRequest'
            examples:
              request:
                summary: Request example
                value:
                  model_name: kling-v3-omni
                  prompt: >-
                    Merge the characters from all images into the <<<object_1>>>
                    image
                  element_list:
                    - element_id: 829836802793406600
                  image_list:
                    - image: >-
                        https://v1-kling.klingai.com/kcdn/cdn-kcdn112452/kling-qa-test/multi-4.png
                    - image: >-
                        https://p2-kling.klingai.com/kcdn/cdn-kcdn112452/kling-qa-test/video_effects/1.png
                    - image: >-
                        https://p2-kling.klingai.com/kcdn/cdn-kcdn112452/kling-qa-test/video_effects/4.png
                  resolution: 2k
                  'n': 1
                  aspect_ratio: '3:2'
      responses:
        '200':
          description: Task accepted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    KlingRequest:
      type: object
      required:
        - model_name
        - prompt
      properties:
        model_name:
          type: string
          description: Model name
          enum:
            - kling-v3-omni
        prompt:
          type: string
          description: |-
            Text prompt, can include positive and negative descriptions

            - Prompts can be templated to meet different image generation needs
            - Must not exceed 2500 characters
            - Use <<<>>> format to specify an image, e.g.: <<<image_1>>>
          maxLength: 2500
        image_list:
          type: array
          description: >-
            Reference image list. Use key:value format:


            ```json

            "image_list": [{ "image": "image_url" }]

            ```


            - Supports image Base64 encoding or image URL (must be accessible)

            - Supported image formats: `.jpg` / `.jpeg` / `.png`

            - Image file size must not exceed **10MB**, image dimensions must be
            at least **300px**, aspect ratio between **1:2.5 ~ 2.5:1**

            - The total number of reference elements and reference images must
            not exceed **10**

            - `image_url` parameter value must not be empty
          items:
            type: object
            required:
              - image
            properties:
              image:
                type: string
                description: Image URL or Base64 string.
          maxItems: 10
        element_list:
          type: array
          items:
            type: object
            required:
              - element_id
            properties:
              element_id:
                type: integer
                format: int64
                description: Element ID from the element library.
          description: >-
            Element reference list, configured based on element IDs in the
            element library


            - Use key:value format:

            `"element_list":[{ "element_id": 829836802793406551 }]`


            - The total number of reference elements and reference images must
            not exceed 10
          maxItems: 10
        resolution:
          type: string
          enum:
            - 1k
            - 2k
            - 4k
          description: Generated image resolution
          default: 1k
        result_type:
          type: string
          description: Switch between single image / series image result
          enum:
            - single
            - series
          default: single
        aspect_ratio:
          type: string
          enum:
            - '16:9'
            - '9:16'
            - '1:1'
            - '4:3'
            - '3:4'
            - '3:2'
            - '2:3'
            - '21:9'
            - auto
          default: auto
          description: >-
            Aspect ratio of generated images (width:height)


            Enum values: `16:9` `9:16` `1:1` `4:3` `3:4` `3:2` `2:3` `21:9`
            `auto`


            - `auto`: intelligently generates aspect ratio based on input
            content
        'n':
          type: integer
          description: |-
            Number of images to generate

            - Range: [1, 9]
            - When result_type is series, this parameter is ignored
          minimum: 1
          maximum: 9
          default: 1
        series_amount:
          oneOf:
            - type: integer
              minimum: 2
              maximum: 9
            - type: string
              enum:
                - auto
          default: auto
          enum:
            - 2
            - 3
            - 4
            - 5
            - 6
            - 7
            - 8
            - 9
            - auto
          description: >-
            Number of images in the series


            Enum values: 2 3 4 5 6 7 8 9 auto


            - `auto`: intelligently selects the number of images based on input
            content

            - When using `auto`, it consumes concurrency quota corresponding to
            the actual number generated

            - When result_type is single, this parameter is ignored
        watermark_info:
          type: object
          description: Whether to also generate a watermarked result.
          properties:
            enabled:
              type: boolean
              description: true to generate watermarked result, false to not generate.
        callback_url:
          type: string
          description: >-
            Callback notification URL for this task. If configured, the server
            will proactively notify when the task status changes.
        external_task_id:
          type: string
          description: >-
            Custom task ID


            - User-defined task ID; does not override the system-generated task
            ID, but supports querying by this ID

            - Must be unique per user
    SubmitResponse:
      type: object
      properties:
        code:
          type: integer
          description: Error code; see error codes for details.
          example: 0
        message:
          type: string
          description: Error message.
          example: string
        request_id:
          type: string
          description: >-
            Request ID, system-generated, used for request tracking and
            troubleshooting.
          example: string
        data:
          type: object
          properties:
            task_id:
              type: string
              description: Task ID, system-generated.
              example: string
            task_status:
              type: string
              description: |-
                Task status

                Enum values: `submitted`, `processing`, `succeed`, `failed`
              enum:
                - submitted
                - processing
                - succeed
                - failed
              example: submitted
            task_info:
              type: object
              description: Task creation parameter information.
              properties:
                external_task_id:
                  type: string
                  description: Client-provided custom task ID.
                  example: string
            created_at:
              type: integer
              format: int64
              description: Task creation time, Unix timestamp in milliseconds.
              example: 1722769557708
            updated_at:
              type: integer
              format: int64
              description: Task update time, Unix timestamp in milliseconds.
              example: 1722769557708
      example:
        code: 0
        message: string
        request_id: string
        data:
          task_id: string
          task_info:
            external_task_id: string
          task_status: submitted
          created_at: 1722769557708
          updated_at: 1722769557708
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Pass `Authorization: Bearer <token>` in the request header.'

````